aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-18 17:40:59 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-18 17:40:59 +0000
commitdaeee3280bd26c32211863ff3a8a3e718aa51b64 (patch)
tree55289201ffeaebf361b1b50cb94f6c593d3d9812
parent2410ae22f7247221cce96643877b9275c32d830c (diff)
downloadaports-daeee3280bd26c32211863ff3a8a3e718aa51b64.tar.gz
aports-daeee3280bd26c32211863ff3a8a3e718aa51b64.tar.bz2
aports-daeee3280bd26c32211863ff3a8a3e718aa51b64.tar.xz
testing/libisofs: new aport
Library to pack up hard disk files and directories into a ISO 9660 disk image http://libburnia.pykix.org/
-rw-r--r--testing/libisofs/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/libisofs/APKBUILD b/testing/libisofs/APKBUILD
new file mode 100644
index 0000000000..685e9354f1
--- /dev/null
+++ b/testing/libisofs/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libisofs
+pkgver=0.6.38
+pkgrel=0
+pkgdesc="Library to pack up hard disk files and directories into a ISO 9660 disk image"
+url="http://libburnia.pykix.org/"
+license="GPL"
+depends=""
+makedepends="acl-dev zlib-dev libiconv-dev"
+subpackages="$pkgname-dev"
+source="http://files.libburnia-project.org/releases/libisofs-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --enable-libacl \
+ --enable-xattr \
+ --disable-static
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="0f889cd766e71c07bccc36f17bcea811 libisofs-0.6.38.tar.gz"